QGIS Application - Feature request #3481
Enhancement: Options to stretch labels
2011-02-10 11:43 PM - Alister Hood

Status: In Progress

Priority: Low

Assignee:

Category: Labelling

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13541
Description

It would be very nice to be able to stretch the length of labels:

- either along a line, or inside a polygon

- either by increasing the space between words, or between letters

- either by specifying the spacing distance, or by automatically spacing to "fill" the length of the polygon or polyline.

e.g. see the labels on most of the rivers in this map http://en.wikipedia.org/wiki/File:National-atlas-north-dakota.PNG

e.g. see some of the labels in the attached map (China, Tibet, Arabian Sea, etc)

History

#1 - 2011-02-11 12:25 PM - bderstine -

| agree, also called letter spacing. This should definitely be an option.

#2 - 2011-12-16 01:49 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0
#4 - 2012-08-06 04:58 PM - Alister Hood

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Assignee deleted (nobody -)

- Category changed from Symbology to Labelling

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-04-23 07:09 PM - Alister Hood

- either by specifying the spacing distance, or by automatically spacing to "fill" the length of the polygon or polyline.

| guess it would be even better if you instead of just filling the full length of the object you could specify a length to "fill" to, e.g. 50% of the length.

#7 - 2015-11-19 06:47 AM - Médéric RIBREUX
- Status changed from Open to In Progress
http://en.wikipedia.org/wiki/File:National-atlas-north-dakota.PNG

- % Done changed from 0 to 30

- Resolution set to fixed/implemented

Hello, bug triage...

in QGIS 2.13 master (and probably in previous versions), there are two spacing options:
- letter which specifies the distance between the letters.
- words which specifies the distance between two words.
- both options can be defined by data (field or expression) so you can have some labels stretched and some other that are regular.
- the units are the same than the font (Map Unit or Points).

The only things that don't exist for the moment are:
- automatically spacing to "fill" the length of the polygon or polyline.
- stretch along a line, or inside a polygon.

#8 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
